> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spherepay.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Remover um Representante Empresarial ou UBO

> Delete a business representative by their ID

Remova um representante empresarial do perfil KYB de um cliente empresarial. Use este endpoint se um representante foi adicionado por engano ou não está mais associado à empresa antes que a submissão do KYB seja finalizada. A exclusão é permanente — você precisará registrar um novo representante se a remoção foi não intencional.

<Warning>
  Esta ação é irreversível. Uma vez excluído, o registro do representante e quaisquer documentos enviados associados a ele não podem ser recuperados. Não exclua um representante após o KYB ter sido submetido ou aprovado.
</Warning>


## OpenAPI

````yaml openapi/spherepay.yaml DELETE /v2/business-representative/{id}
openapi: 3.0.0
info:
  title: ''
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.spherepay.co
    description: Production
security:
  - bearer: []
tags: []
paths:
  /v2/business-representative/{id}:
    delete:
      summary: Delete a Business Representative
      description: Delete a business representative by their ID
      parameters:
        - name: id
          required: true
          in: path
          description: Business Representative ID
          schema:
            minLength: 1
            example: associatedPerson_d972d2f70b9f4d3c8d7cfb32593f395b
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteBusinessRepresentativeResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetailsDto'
              examples:
                Bad Request:
                  summary: Bad Request
                  value:
                    status: 400
                    detail: Invalid request parameters
                    code: address/invalid
                    correlationId: 28c61e885c6e5eaa78c1a2183a9b883c
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetailsDto'
              examples:
                Not Found:
                  summary: Not Found
                  value:
                    status: 404
                    detail: Resource not found
                    code: resource/not-found
                    correlationId: 28c61e885c6e5eaa78c1a2183a9b883c
        '422':
          description: Unprocessable Entity - Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetailsDto'
              examples:
                Validation Error:
                  summary: Validation Error
                  value:
                    status: 422
                    detail: Validation failed
                    code: validation/failed
                    correlationId: 28c61e885c6e5eaa78c1a2183a9b883c
                    errors:
                      - detail: Invalid email format
                        pointer: /email
                      - detail: Name is required
                        pointer: /name
components:
  schemas:
    DeleteBusinessRepresentativeResponseDto:
      type: object
      properties:
        ok:
          description: Indicates whether the deletion was successful
          example: true
          type: boolean
      required:
        - ok
    ProblemDetailsDto:
      type: object
      properties:
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        code:
          type: string
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              pointer:
                type: string
              parameter:
                type: string
              header:
                type: string
            required:
              - detail
        correlationId:
          type: string
      required:
        - status
        - detail
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````